## silo-llnl 4.8

=== SiloWindows/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# SiloWindows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 1994 - 2010, Lawrence Livermore National Security, LLC.
# LLNL-CODE-425250.
# All rights reserved.
# 
# This file is part of Silo. For details, see silo.llnl.gov.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the disclaimer below.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the disclaimer (as noted
#      below) in the documentation and/or other materials provided with
#      the distribution.
#    * Neither the name of the LLNS/LLNL nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
# 
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A  PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN  NO  EVENT SHALL  LAWRENCE
# LIVERMORE  NATIONAL SECURITY, LLC,  THE U.S.  DEPARTMENT OF  ENERGY OR
# CONTRIBUTORS BE LIABLE FOR  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR  CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT  LIMITED TO,
# PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS  OF USE,  DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER  IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING
# NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT  OF THE USE  OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This work was produced at Lawrence Livermore National Laboratory under
# Contract No.  DE-AC52-07NA27344 with the DOE.
# 
# Neither the  United States Government nor  Lawrence Livermore National
# Security, LLC nor any of  their employees, makes any warranty, express
# or  implied,  or  assumes  any  liability or  responsibility  for  the
# accuracy, completeness,  or usefulness of  any information, apparatus,
# product, or  process disclosed, or  represents that its use  would not
# infringe privately-owned rights.
# 
# Any reference herein to  any specific commercial products, process, or
# services by trade name,  trademark, manufacturer or otherwise does not
# necessarily  constitute or imply  its endorsement,  recommendation, or
# favoring  by  the  United  States  Government  or  Lawrence  Livermore
# National Security,  LLC. The views  and opinions of  authors expressed
# herein do not necessarily state  or reflect those of the United States
# Government or Lawrence Livermore National Security, LLC, and shall not
#
# Makefile.am --- automake input file for SiloWindows directory
#
#
# Modifications:
#   Mark C. Miller, Tue Aug  3 17:24:43 PDT 2010
#   Ensure a number of silo project files were included.

pkgdatadir = $(datadir)/silo
pkglibdir = $(libdir)/silo
pkgincludedir = $(includedir)/silo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = SiloWindows
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run aclocal-1.10
AMTAR = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run autoconf
AUTOHEADER = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run autoheader
AUTOMAKE = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run automake-1.10
AWK = gawk
BROWSER = browser
BUNDLE_TARGET = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FULLPATH = /usr/bin/gcc
CFLAGS = -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
CONFIG_CMD = ./configure 'LDFLAGS=-static' 'CFLAGS=-g' 'CXXFLAGS=-g' 'FC=g77' 'F77=g77' '--with-hdf5=/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/include,/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/lib' '--with-szlib=/usr/gapps/silo/szip/2.1/i686_Linux_ELsmp' '--disable-shared' '--prefix=/groups/visit/miller/silo/trunk/install'
CONFIG_DATE = Wed Sep 15 07:49:24 PDT 2010
CONFIG_USER = miller86@alderaan.llnl.gov
CPP = gcc -E
CPPFLAGS = -I/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g
CXX_FULLPATH = /usr/bin/g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FC = g77
FCFLAGS = -g -O2
FCLIBS =  -L/usr/lib/gcc-lib/i386-redhat-linux/3.2.3 -L/usr/lib/gcc-lib/i386-redhat-linux/3.2.3/../../.. -lfrtbegin -lg2c -lm
FC_FULLPATH = /usr/bin/g77
FFLAGS = -g -O2
FORTRAN = fortran
FPZIP = fpzip
GREP = /bin/grep
HDF5_DRV = hdf5_drv
HZIP = hzip
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -L/usr/gapps/silo/hdf5/1.8.4/i686_Linux_ELsmp/lib -L/usr/gapps/silo/szip/2.1/i686_Linux_ELsmp/lib -static -L/usr/gapps/silo/szip/2.1/i686_Linux_ELsmp/lib
LIBOBJS = 
LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /groups/visit/miller/silo/trunk/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NETCDF = netcdf
OBJEXT = o
PACKAGE = silo
PACKAGE_BUGREPORT = visit-users@email.ornl.gov
PACKAGE_NAME = silo
PACKAGE_STRING = silo 4.8
PACKAGE_TARNAME = silo
PACKAGE_VERSION = 4.8
PATH_SEPARATOR = :
PDBP_DRV = 
PDB_DRV = pdb_drv
PRTDIAG = 
PYTHON = 
PYTHONMODULE = 
PYTHON_CPPFLAGS = 
PYTHON_EXEC_PREFIX = 
PYTHON_PLATFORM = 
PYTHON_PREFIX = 
PYTHON_VERSION = 
QT_BIN = /usr/lib/qt-3.1/bin
QT_CORE = libQtCore.so
QT_CORE_LIB = -lQtCore
QT_CXXFLAGS = -I$(QT_INCLUDE) -I$(QT_INCLUDE)/Qt -I$(QT_INCLUDE)/QtCore -I$(QT_INCLUDE)/QtGui
QT_GUI = libQtGui.so
QT_GUI_LIB = -lQtGui
QT_INCLUDE = /usr/lib/qt-3.1/include
QT_LDFLAGS = -L$(QT_LIB)
QT_LIB = /usr/lib/qt-3.1/lib
QT_LIBS = $(QT_CORE_LIB) $(QT_GUI_LIB)
QT_MOC = $(QT_BIN)/moc
RANLIB = ranlib
READLINE_LIBS = -lreadline -ltermcap 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SILEX = 
SILO_DTYPPTR = void
SILO_DTYPPTR1 = void*
SILO_DTYPPTR2 = void*
SILO_VERS_MAJ = 4
SILO_VERS_MIN = 8
SILO_VERS_PAT = 
SILO_VERS_PRE = 
SILO_VERS_TAG = Silo_version_4_8
STRIP = strip
TAURUS = taurus
VERSION = 4.8
ZLIB = zlib
abs_builddir = /groups/visit/miller/silo/trunk/SiloWindows
abs_srcdir = /groups/visit/miller/silo/trunk/SiloWindows
abs_top_builddir = /groups/visit/miller/silo/trunk
abs_top_srcdir = /groups/visit/miller/silo/trunk
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_FC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /groups/visit/miller/silo/trunk/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = 
pkgpythondir = 
prefix = /groups/visit/miller/silo/trunk/install
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = 
pythondir = 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
./MSVC8/Tests/alltypes.vcproj\
./MSVC8/Tests/array.vcproj\
./MSVC8/Tests/array_f.vfproj\
./MSVC8/Tests/compression.vcproj\
./MSVC8/Tests/csg.vcproj\
./MSVC8/Tests/curve_f.vfproj\
./MSVC8/Tests/dirtest.vcproj\
./MSVC8/Tests/extface.vcproj\
./MSVC8/Tests/grab.vcproj\
./MSVC8/Tests/group_test.vcproj\
./MSVC8/Tests/largefile.vcproj\
./MSVC8/Tests/listtypes.vcproj\
./MSVC8/Tests/mat3d_3across.vcproj\
./MSVC8/Tests/mat_f.vfproj\
./MSVC8/Tests/merge_block.vcproj\
./MSVC8/Tests/mmadjacency.vcproj\
./MSVC8/Tests/multi_file.vcproj\
./MSVC8/Tests/multi_test.vcproj\
./MSVC8/Tests/multispec.vcproj\
./MSVC8/Tests/namescheme.vcproj\
./MSVC8/Tests/obj.vcproj\
./MSVC8/Tests/onehex.vcproj\
./MSVC8/Tests/oneprism.vcproj\
./MSVC8/Tests/onepyramid.vcproj\
./MSVC8/Tests/onetet.vcproj\
./MSVC8/Tests/partial_io.vcproj\
./MSVC8/Tests/point.vcproj\
./MSVC8/Tests/point_f.vfproj\
./MSVC8/Tests/polyzl.vcproj\
./MSVC8/Tests/quad.vcproj\
./MSVC8/Tests/rocket.vcproj\
./MSVC8/Tests/sami.vcproj\
./MSVC8/Tests/simple.vcproj\
./MSVC8/Tests/spec.vcproj\
./MSVC8/Tests/specmix.vcproj\
./MSVC8/Tests/subhex.vcproj\
./MSVC8/Tests/testall.vcproj\
./MSVC8/Tests/testall_f.vfproj\
./MSVC8/Tests/TestIncludes.vsprops\
./MSVC8/Tests/testpdb.vcproj\
./MSVC8/Tests/TestReadMask.vcproj\
./MSVC8/Tests/Tests.sln\
./MSVC8/Tests/twohex.vcproj\
./MSVC8/Tests/ucd1d.vcproj\
./MSVC8/Tests/ucd.vcproj\
./MSVC8/Tests/ucd_f.vfproj\
./MSVC8/Tests/ucdsamp3.vcproj\
./MSVC8/Tests/version.vcproj\
./MSVC8/Tests/wave.vcproj\
./MSVC8/bin/RunTests.bat\
./MSVC8/pdb_detect/pdb_detect.vcproj\
./MSVC8/BaseIncludes.vsprops\
./MSVC8/HDF5_Defines.vsprops\
./MSVC8/ModernDTPR.vsprops\
./MSVC8/NO_SEC_DEP.vsprops\
./MSVC8/NON_BSD_DEFINES.vsprops\
./MSVC8/silex.vcproj\
./MSVC8/Silo.vcproj\
./MSVC8/SiloWindows.sln\
./include/config.h\
./resources/silex.aps\
./resources/silex.ico\
./resources/silex.rc\
./Makefile.am\
./Makefile\
./runsilexmoc.bat\
./Makefile.in\
./copysilo.bat\
./README\
./MSVC8-BSD/Tests/alltypes.vcproj\
./MSVC8-BSD/Tests/array.vcproj\
./MSVC8-BSD/Tests/array_f.vfproj\
./MSVC8-BSD/Tests/compression.vcproj\
./MSVC8-BSD/Tests/csg.vcproj\
./MSVC8-BSD/Tests/curve_f.vfproj\
./MSVC8-BSD/Tests/dirtest.vcproj\
./MSVC8-BSD/Tests/extface.vcproj\
./MSVC8-BSD/Tests/grab.vcproj\
./MSVC8-BSD/Tests/group_test.vcproj\
./MSVC8-BSD/Tests/largefile.vcproj\
./MSVC8-BSD/Tests/listtypes.vcproj\
./MSVC8-BSD/Tests/mat3d_3across.vcproj\
./MSVC8-BSD/Tests/mat_f.vfproj\
./MSVC8-BSD/Tests/merge_block.vcproj\
./MSVC8-BSD/Tests/mmadjacency.vcproj\
./MSVC8-BSD/Tests/multi_file.vcproj\
./MSVC8-BSD/Tests/multi_test.vcproj\
./MSVC8-BSD/Tests/multispec.vcproj\

=== debian/changelog ===
silo-llnl (4.8-4) unstable; urgency=low

  * Add dependency on python-all-dev for extensions. Closes: #628820.
  * Check for errors in debian/rules with 'set -e'. Closes: #628818. 
  * Disable python-write test that fails on python2.7. forwrd upstream.
    (note: it appears the code didn't work as planned on 2.6; 
    hence allow as exists rather than disable python2.7).
  * Python2.7 enables HDF5 tests: disable SZIP test, 
     as Debian does not have SZIP for licensing reasons. 
  * Disable HDF5 largefile test (test fails on rounding error using floats) 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2011 20:14:51 +0100

silo-llnl (4.8-3) unstable; urgency=low

  * Include patch by Nobuhiro Iwamatsu to build on SH4. Closes: #609074. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Apr 2011 09:51:26 +0100

silo-llnl (4.8-2) unstable; urgency=low

  * Patch to allow silo-llnl build with Qt version 4.7.2. Closes: #621781.
  * Use python2 in debian/rules to add python dependencies. Closes: #619535. 
  * Include full copy of BSD license in debian/copyright. Closes: #617912. 
  * debian/rules clean: delete autogenerated log files.
  * Enable testsuite. Fix needed for one test (needs bash)
  * Now at Standards-Version: 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Apr 2011 21:53:28 +0100

silo-llnl (4.8-1) unstable; urgency=low

  * Correct version number; non-native.
  * Build-conflict with qt3-dev-tools, or else qmake may give an obsolete
    version, and silex won't be built.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jan 2011 00:03:01 +0000

silo-llnl (4.8) unstable; urgency=low

  * Initial release. (Closes: #599747)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Oct 2010 19:20:40 +0100

=== debian/control ===
Source: silo-llnl
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libreadline-dev, libhdf5-mpi-dev | libhdf5-dev, zlib1g-dev, libqt4-dev, gfortran, python-dev, chrpath, python-all-dev, mpi-default-dev
Build-Conflicts: qt3-dev-tools
Standards-Version: 3.9.2
Homepage:  https://wci.llnl.gov/codes/silo

Package: libsilo-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libsilo0 (= ${binary:Version})
Description: Development files for SILO Scientific I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to 
 binary, disk files. The files Silo produces and the data within them can be 
 easily shared and exchanged between wholly independently developed applications 
 running on disparate computing platforms. Consequently, Silo facilitates the 
 development of general purpose tools for processing scientific data. 
 One of the more popular tools that process Silo data files is the 
 VisIt visualization tool.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo 
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes, 
 constructive solid geometry (CSG) meshes, piecewise-constant 
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables 
 defined on the node, edge, face or volume elements of meshes as well as 
 the decomposition of meshes into arbitrary subset hierarchies including 
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application 
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.
 . 
 Architecturally, the library is divided into two main pieces; an upper-level
 application programming interface (API) and a lower-level I/O implementation 
 called a driver. Silo supports multiple I/O drivers, the two most common of 
 which are the HDF5 (Hierarchical Data Format 5) and PDB (Portable Data Base) 
 drivers. 

Package: libsilo0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SILO Science I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to
 binary, disk files.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: libsilo-bin
Architecture: any
Depends: libsilo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Utilities to manipulate libsilo files
 This package contains a number of utilities for manipulating and viewing
 Silo files. Silo is a scientific data format library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: python-silo
Section: python
Architecture: any
X-Python-Version: all
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsilo0 (=${binary:Version})
Provides: ${python:Provides}
Description: Python interface to the SILO Scientific I/O library
 This is a python interface to SILO, a scientific I/O library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh  --with python2 $@

include /usr/share/mpi-default-dev/debian_defaults
MPI_INC=/usr/lib/$(ARCH_DEFAULT_MPI_IMPL)/include

PYVERS:= `pyversions -s`

override_dh_auto_configure:
	dh_auto_configure -- --enable-pythonmodule --enable-silex --with-qt=/usr --enable-pythonmodule --enable-silex --with-qt-bin=/usr/bin --with-qt-lib=/usr/lib  --with-qt-include=/usr/include/qt4 --with-hdf5=/usr/include,/usr/lib CPPFLAGS=" -I$(MPI_INC)"

override_dh_auto_build:
	dh_auto_build
	set -e ; for p in $(PYVERS) ; do   \
		 dh_auto_configure -- --enable-pythonmodule --enable-silex --with-qt=/usr --enable-pythonmodule --enable-silex --with-qt-bin=/usr/bin --with-qt-lib=/usr/lib  --with-qt-include=/usr/include/qt4 --with-hdf5=/usr/include,/usr/lib PYTHON=$$p CPPFLAGS=" -I$(MPI_INC)" ; \
		$(MAKE) -C tools/python; \
		mkdir -p  debian/tmp/usr/lib/pyshared/$$p ;  \
		cp tools/python/.libs/Silo.so debian/Silo.so.$$p  ; \
	done

override_dh_auto_install:
	dh_auto_install
	# move the python modules to where dh_pysupport will spot them ...
	set -e; for p in $(PYVERS); do \
		mkdir -p debian/python-silo/usr/lib/$$p/site-packages ; \
		chrpath -d debian/Silo.so.$$p ; \
		cp debian/Silo.so.$$p debian/python-silo/usr/lib/$$p/site-packages/Silo.so ; \
	done

override_dh_auto_clean:
	dh_clean
	rm -f debian/Silo.so.* config.status config.log
	[ ! -e Makefile ] || $(MAKE) -k distclean

## silo-llnl 4.9.1

=== debian/changelog ===
silo-llnl (4.9.1-3) unstable; urgency=medium

  * Remove unused qt-version.patch
  * Add patch to remove H5*_fapl_mpiposix() calls, no longer present
    in HDF5 1.8.13+
  * Use new HDF5 layout in debian/rules.
  * Update silo.ver version script with 4.9.1 changes.
  * Fix  --with-versioned-symbols patch to activate.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Aug 2014 17:08:11 +0100

silo-llnl (4.9.1-2) unstable; urgency=medium

  * Undo dependencies on python3-*dev until we actually build python3-silo.
    Closes: #751537. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2014 18:33:05 +0100

silo-llnl (4.9.1-1) unstable; urgency=low

  * New upstream release. Closes: #691471.
  * Build against Qt5 rather than Qt4.
  * Now set debhelper dependency to 9. 
  * Set Standards-Version: 3.9.5. No changes required.
  * Patch for typo spotted by Lintian.
  * Now use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 May 2014 22:56:57 +0100

silo-llnl (4.8-13) unstable; urgency=low

  * Enable QT version 4.8.2 as well. Closes: #671614.
  * Pass CPPFLAGS, CFLAGS, LDFLAGS in rules to enable hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jun 2012 11:46:24 +0100

silo-llnl (4.8-12) unstable; urgency=low

  * Add support for QT version 4.8.1; add build-depends on it.
    Closes: #671614. 
  * Standards-Version: 3.9.3; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jun 2012 12:45:44 +0100

silo-llnl (4.8-11) unstable; urgency=low

  * ld-as-needed patch not robust. Use new dh_autoreconf --as-needed
      method. Closes: #652224

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2011 13:50:16 +0000

silo-llnl (4.8-10) unstable; urgency=low

  * Don't delete config.status, it breaks 'make distclean'
    Closes: #642782. 
  * Two fixes to fprintf() needed to compile with -Werror=format-security
  * Disable sh4-build patch as not needed now we do 'autoreconf'. 
    Ditto, update qt-version.patch, add-lib-version.patch not to change
    files now autogenerated.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Oct 2011 11:26:00 +0100

silo-llnl (4.8-9) unstable; urgency=low

  * Rename lib from libsilo0 -> libsiloh5-0 to match soname
    _before_ building visit, etc to depend on it.
  * Build with -Wl,--as-needed to remove unwanted dependencies.
  * Remove unnecessary ${shlibs:Depends} from libsilo-dev 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2011 07:27:03 +0100

silo-llnl (4.8-8) unstable; urgency=low

  * B-D on libtool too.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 11:19:45 +0100

silo-llnl (4.8-7) unstable; urgency=low

  * Don't trust pdbuilder, even after pbuilder --clean.
  * B-D on autoconf,  automake for autoreconf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 09:43:46 +0100

silo-llnl (4.8-6) unstable; urgency=low

  * Fixes needed to make autoreconf -fiv work correctly. Closes: #619830. 
  * B-D autoconf-archive to include AX_CHECK_COMPILE_FLAG needed now.
  * Build with mpicc.lam when using LAM. Closes: #639119.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Sep 2011 11:11:02 +0100

silo-llnl (4.8-5) experimental; urgency=low

  * Add Multi-arch support.
  * Add pkgconfig file silo.pc
  * Add versioned symbols. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2011 02:34:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libreadline-dev, libhdf5-mpi-dev | libhdf5-dev, zlib1g-dev, libqt4-dev, gfortran, python-dev, chrpath, python-all-dev, mpi-default-dev
-Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libreadline-dev, libhdf5-mpi-dev | libhdf5-dev, zlib1g-dev, 
+  gfortran, chrpath, python-all-dev, mpi-default-dev, autoconf-archive, autoconf, automake, libtool, 
+  dh-autoreconf (>= 4~),
+  qtbase5-dev
+Build-Conflicts: qt3-dev-tools, qt4-dev-tools
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.5
 Homepage:  https://wci.llnl.gov/codes/silo
 
 Package: libsilo-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libsilo0 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (= ${binary:Version})
 Description: Development files for SILO Scientific I/O library from LLNL
  Silo is a library for reading and writing a wide variety of scientific data to 
  binary, disk files. The files Silo produces and the data within them can be 
@@ -37,9 +43,11 @@
  which are the HDF5 (Hierarchical Data Format 5) and PDB (Portable Data Base) 
  drivers. 
 
-Package: libsilo0
+Package: libsiloh5-0
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SILO Science I/O library from LLNL
  Silo is a library for reading and writing a wide variety of scientific data to
@@ -58,7 +66,8 @@
 
 Package: libsilo-bin
 Architecture: any
-Depends: libsilo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: libsiloh5-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Utilities to manipulate libsilo files
  This package contains a number of utilities for manipulating and viewing
  Silo files. Silo is a scientific data format library.
@@ -78,7 +87,18 @@
 Section: python
 Architecture: any
 X-Python-Version: all
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsilo0 (=${binary:Version})
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
 Provides: ${python:Provides}
 Description: Python interface to the SILO Scientific I/O library
- This is a python interface to SILO, a scientific I/O library.
+ This is a Python interface to SILO, a scientific I/O library.
+ .
+ Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
+ and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
+ constructive solid geometry (CSG) meshes, piecewise-constant
+ (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
+ defined on the node, edge, face or volume elements of meshes as well as
+ the decomposition of meshes into arbitrary subset hierarchies including
+ materials and mixing materials. In addition, Silo supports a wide variety of
+ other useful objects to address various scientific computing application
+ needs. Although the Silo library is a serial library, it has some key features
+ which enable it to be applied quite effectively and scalable in parallel.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --with python2,autoreconf

include /usr/share/mpi-default-dev/debian_defaults
MPI:=$(ARCH_DEFAULT_MPI_IMPL)
MPI_INC:=/usr/lib/$(MPI)/include

ifeq ($(MPI),lam)
  CC:=mpicc.lam
  CXX:=mpic++.lam
else
  CXX:=mpic++
  CC:=mpicc
endif

DEFAULT_PYTHON=$(shell pyversions -d)
PYVERS= $(shell pyversions -s)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# QT version 4 or 5
QT:=5
QT_INC:=/usr/include/$(DEB_HOST_MULTIARCH)/$(QT)
QT_BINDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/bin
QT_INCLUDES:=-I$(QT_INC) -I$(QT_INC)/QtGui -I$(QT_INC)/QtCore -I$(QT_INC)/QtWidgets

# Work with either old or new-style (co-installable)  HDF5 layouts
ifneq ($(wildcard $(LIBDIR)/hdf5/$(MPI)/libhdf5.so),)
HDF5_INC:=/usr/include/hdf5/$(MPI)
HDF5_LIB:=$(LIBDIR)/hdf5/$(MPI)
else
HDF5_INC:=/usr/include
HDF5_LIB:=/usr/lib
endif

override_dh_autoreconf:
	libtoolize -c -f
	dh_autoreconf

# Note: Since QT headers now include C++ features, configure must be called with g++ as the C compiler.
# But use $(CC) as the C compiler later when actually building.

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-versioned-symbols \
		--enable-pythonmodule \
		--with-hdf5=$(HDF5_INC),$(HDF5_DIR) \
		--with-Qt-bin-dir=$(QT_BINDIR) --with-Qt-include-dir=$(QT_INC) -with-Qt-lib=Qt5Widgets \
		CC=$(CXX) CXX=$(CXX) CFLAGS="$(CFLAGS) -fPIC " CXXFLAGS="$(CXXFLAGS) -fPIC " \
		LIBS=" -lQt5Core " LDFLAGS="$(LDFLAGS) -L$(HDF5_LIB) " \
		CPPFLAGS=" $(QT_INCLUDES) -I$(MPI_INC) $(CPPFLAGS)"

# Iterate over some directories to avoid stepping into tools/silex, which doesn't build.
override_dh_auto_build:
	for d in src tools/browser tools/silock ; do \
		$(MAKE) -C $$d CC=$(CC) CXX=$(CXX) ; done
	set -e ; for p in $(PYVERS) $(PY3VERS) ; do   \
		$(MAKE) -C tools/python clean all check CC=$(CC) CXX=$(CXX) PYTHON=$$p; \
		mkdir -p  debian/tmp/usr/lib/pyshared/$$p ;  \
		cp tools/python/.libs/Silo.so debian/Silo.so.$$p  ; \
	done

# Need to avoid trying to building  tools/silex.
override_dh_auto_test:
	for d in src tools/browser tools/silock ; do \
                $(MAKE) -C $$d check; done

override_dh_auto_install:
	# move the python modules to where dh_python* will spot them ...
	set -e; for p in $(PYVERS) $(PY3VERS); do \
		mkdir -p debian/tmp/usr/lib/$$p/site-packages ; \
		chrpath -d debian/Silo.so.$$p ; \
		cp debian/Silo.so.$$p debian/tmp/usr/lib/$$p/site-packages/Silo.so ; \
	done
	$(MAKE) -C src install prefix=`pwd`/debian/tmp
	dh_install
	# cp src/.libs/libsiloh5.a debian/libsilo-dev/$(LIBDIR)
	mkdir -p debian/libsiloh5-0/$(LIBDIR)
	mv debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libsiloh5.so.0.0.0 debian/libsiloh5-0/$(LIBDIR)
	dh_link -p libsiloh5-0 $(LIBDIR)/libsiloh5.so.0.0.0 $(LIBDIR)/libsiloh5.so.0
	dh_link -p libsilo-dev $(LIBDIR)/libsiloh5.so.0.0.0 $(LIBDIR)/libsiloh5.so
	mkdir -p debian/libsilo-dev/$(LIBDIR)/pkgconfig
	cp silo.pc debian/libsilo-dev/$(LIBDIR)/pkgconfig

override_dh_auto_clean:
	dh_clean
	rm -f debian/Silo.so.* config.log
	( [ -f Makefile ] && make distclean || echo "No Makefile present ; skipping make distclean" )
